<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <data>

        <variable
            name="onSubClick"
            type="android.view.View.OnClickListener" />

        <variable
            name="onCancelClick"
            type="android.view.View.OnClickListener" />
    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <Space
            android:id="@+id/space_content"
            android:layout_width="0dp"
            android:layout_height="0dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintDimensionRatio="300:391"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintWidth_percent="0.8333333333333333" />

        <View
            android:id="@+id/v_dialog_retention_member"
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:background="@drawable/bg_dialog_retention_member"
            app:layout_constraintDimensionRatio="300:279"
            app:layout_constraintEnd_toEndOf="@id/space_content"
            app:layout_constraintStart_toStartOf="@id/space_content"
            app:layout_constraintTop_toTopOf="@id/space_content" />


        <View
            android:id="@+id/v_dialog_retention_member_operation"
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:background="@drawable/bg_retention_operation"
            app:layout_constraintBottom_toBottomOf="@+id/space_content"
            app:layout_constraintEnd_toEndOf="@+id/space_content"
            app:layout_constraintStart_toStartOf="@+id/space_content"
            app:layout_constraintTop_toBottomOf="@id/v_dialog_retention_member" />


        <TextView
            android:id="@+id/tv_dialog_retention_member_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="16dp"
            android:text="@string/dialog_retention_member_title"
            android:textColor="@color/white"
            android:textSize="18sp"
            android:textStyle="bold"
            app:layout_constraintBottom_toBottomOf="@+id/v_dialog_retention_member"
            app:layout_constraintStart_toStartOf="@+id/v_dialog_retention_member"
            app:layout_constraintTop_toTopOf="@+id/v_dialog_retention_member"
            app:layout_constraintVertical_bias="0.0852713178294574" />


        <TextView
            android:id="@+id/tv_dialog_retention_member_content"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="8dp"
            android:text="@string/dialog_retention_member_content"
            android:textColor="#FFEF5F"
            android:textSize="34sp"
            android:textStyle="bold"
            app:layout_constraintStart_toStartOf="@+id/tv_dialog_retention_member_title"
            app:layout_constraintTop_toBottomOf="@+id/tv_dialog_retention_member_title" />

        <ImageView
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:src="@drawable/bg_retention_mask"
            app:layout_constraintBottom_toBottomOf="@id/v_dialog_retention_member"
            app:layout_constraintDimensionRatio="978:429"
            app:layout_constraintEnd_toEndOf="@+id/v_dialog_retention_member"
            app:layout_constraintStart_toStartOf="@+id/v_dialog_retention_member"
            app:layout_constraintWidth_percent="0.9055555555555556" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="3dp"
            android:text="@string/dialog_renewal_member_hint"
            android:textColor="@color/white70"
            android:textSize="12sp"
            app:layout_constraintStart_toStartOf="@+id/tv_dialog_retention_member_content"
            app:layout_constraintTop_toBottomOf="@+id/tv_dialog_retention_member_content" />

        <TextView
            android:id="@+id/tv_dialog_retention_sub"
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:background="@drawable/bg_retention_sub"
            android:gravity="center"
            android:onClick="@{onSubClick}"
            android:text="@string/dialog_retention_sub"
            android:textColor="@color/white"
            android:textSize="17sp"
            android:textStyle="bold"
            app:layout_constraintBottom_toTopOf="@+id/tv_dialog_retention_cancel"
            app:layout_constraintDimensionRatio="276:56"
            app:layout_constraintEnd_toEndOf="@+id/v_dialog_retention_member_operation"
            app:layout_constraintStart_toStartOf="@+id/v_dialog_retention_member_operation"
            app:layout_constraintTop_toTopOf="@+id/v_dialog_retention_member_operation"
            app:layout_constraintVertical_chainStyle="packed"
            app:layout_constraintWidth_percent="0.7666666666666667" />

        <TextView
            android:id="@+id/tv_dialog_retention_cancel"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="10dp"
            android:onClick="@{onCancelClick}"
            android:text="@string/dialog_retention_cancel"
            app:layout_constraintBottom_toBottomOf="@id/v_dialog_retention_member_operation"
            app:layout_constraintEnd_toEndOf="@+id/tv_dialog_retention_sub"
            app:layout_constraintStart_toStartOf="@+id/tv_dialog_retention_sub"
            app:layout_constraintTop_toBottomOf="@+id/tv_dialog_retention_sub" />

    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>